%define tarball xf86-video-dove-xo175
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir	%{moduledir}/drivers

%define with_debug 0

Summary:	Xorg X11 Vivante video driver
Name:		xorg-x11-drv-dove
Version:	0.3.9
Release:	1%{?dist}.xo175
URL:		http://wiki.laptop.org/go/Xf86-video-dove
License:	MIT
Group:		User Interface/X Hardware Support

Source0:	%{tarball}-%{version}.tar.bz2

BuildRequires:	xorg-x11-server-devel
BuildRequires:	libX11-devel
BuildRequires:	libXext-devel
BuildRequires:	libgfx-marvell-devel
Requires:	xorg-x11-server-Xorg
Requires:	libgfx-marvell

%description
X.Org X11 dovefb video driver for Vivante chipsets.


%prep
%setup -q -n %{tarball}-%{version}

%build
#export LDFLAGS="-L/usr/lib/libgfx -lGAL -lm -ldl -lpthread"
export LDFLAGS="-L/usr/lib/libgfx -lm -ldl -lpthread"
export CFLAGS="${RPM_OPT_FLAGS} \
		-DMRVL_SUPPORT_RANDR=1 \
		-DMRVL_SUPPORT_EXA=1 \
		-DDUMP_RAW_VIDEO=0 \
		-DMRVL_USE_OFFSCREEN_HEAP=0 \
		-DMRVL_EXA_MODE=2 \
		-DMRVL_EXA_ENABLE_UP_DOWNLOAD=0 \
		-DMRVL_EXA_FORCE_HW_LOAD=0 \
		-DMRVL_EXA_ALLOC_PIXMAP_FROM_SYSTEM=0 \
		-DMRVL_EXA_PERF_PROFILING=0 \
		-DMRVL_EXA_TRACE_FALLBACK=0 \
		-DMRVL_EXA_XBGR_SUPPORT=1 \
		-DMRVL_XV_SUPPORT_RGB_FORMAT=1 \
		-DMRVL_XV_TEX_VIDEO=1 \
		-DMRVL_XV_OVERLAY_VIDEO=0 \
		-DMRVL_XV_DEFERRED_STALL_GPU=1 \
		-DMRVL_XV_USE_FAKE_FENCE_STALL=1 \
		-DMRVL_RANDR_EDID_MODES=1 \
		-DMRVL_CRTC_SUPPORT_ROTATION=1 \
		-DMRVL_PLATFORM_INFO=2"

%configure --disable-static

cp -f /usr/bin/libtool ./

make

%install
make install DESTDIR=$RPM_BUILD_ROOT

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*\.a$" | xargs rm -f --
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

%files
%defattr(-,root,root,-)
%doc README
%{driverdir}/dovefb_drv.so
%{_mandir}/man4/mrvl.4.gz

%changelog
